<?php
/*****************************************************************************
 * Button.php
 * Defines the Button template.
 *
 * Kabuki CMS (C) 2013-2015, Aaron van Geffen
 *****************************************************************************/

class Button extends Template
{
	private $content = '';
	private $href = '';
	private $class = '';

	public function __construct($content = '', $href = '', $class = '')
	{
		$this->content = $content;
		$this->href = $href;
		$this->class = $class;
	}

	public function html_main()
	{
		echo '
					<a class="', $this->class, '" href="', $this->href, '">', $this->content, '</a>';
	}
}
